package com.ruoyi.ss.feeRule.service;

import java.util.List;

/**
 * 收费模板校验器
 *
 * @author qzz
 * @date 2024-11-20
 */
public interface IFeeRuleValidator {

    /**
     * 校验是否存在基础收费模板
     *
     * @param ids 收费模板ids
     * @return 收费模板
     */
    boolean isExistBasicsRule(List<Long> ids);

    /**
     * 校验是否存在收费模板
     *
     * @param ids 收费模板ids
     * @return 收费模板
     */
    boolean isExistRule(List<Long> ids);

    /**
     * 删除套餐前的校验
     *
     * @param ruleIds 收费模板ids
     * @return 收费模板
     */
    void preDelRule(Long[] ruleIds);
}
